#!/bin/bash
#   /usr/local/bin/ripC_eject.sh
#	A CD rip and eject script.
########################################################################
Cdir='/media/music /myth/music'				# Default
Copt='--noencode -e --nointeraction --noplaylist'	#  values.
LOG='/tmp/ripC.log'					# Log filename.
#-----------------------------------------------------------------------
[ -r /etc/rip.cfg ] && . /etc/rip.cfg	# use these when present.
########################################################################
echo "`date` detected CD" >> $LOG
for dir in $Cdir ; do
    if [ -d $dir -a -w $dir ]; then
	break
    fi
done
#-----------------------------------------------------------------------
if [ ! -d "$dir" ]; then
    echo "no $dir" >> $LOG
    KnoppMyth-osd "directory\\n$dir\\nnot found!" red 10 &
    eject ; eject
    exit 0
fi
if [ ! -w "$dir" ]; then
    echo "$dir not writable" >> $LOG
    KnoppMyth-osd "directory\\n$dir\\nnot writable!" red 10 &
    eject ; eject
    exit 0
fi
#-----------------------------------------------------------------------
echo " backup to $dir" >> $LOG
KnoppMyth-osd "detected CD\nbackup to\\n$dir" gray20 5 &
#=======================================================================
/usr/local/bin/ripit -o $dir $Copt >> $LOG 2> /tmp/ripC.out
echo " `date` finished CD" >> $LOG
########################################################################
# End
